Create Field

​

Body·

required
application/json

For field creation - enforces required fields

  • Type of field

    values
    systemeditable_systemcustomlinkedheaderscoadditionalformula
  • Field configuration

    Properties: 1
  • Source of field data (optional for creation)

    values
    • system
    • manual
    • hybrid
    • company
    • person
    • lead
    • deal
    • contract
  • Type of field display (optional for creation)

    values
    • text
    • textarea
    • number
    • date
    • date_range
    • single_select
    • multi_select
    • email
  • Dreamer flow configuration

    Properties: 1
  • Whether field is filled by dreamer

  • Help text for the field

  • Display label for the field

  • Linked data information (LinkedDataInfo for LINKED fields, SCODataInfo for SCO fields)

    Structured validation for linked data information

    • Source key field

    • Target key field

    • Target table name

    • Target field type

    • Target field key; set from target_field_id on create

    • Id of the target field (create input only, never stored)

  • Whether the field is required

  • Whether to show in creation forms

  • Whether the field should be displayed in the entity's detailed view

Responses

  • application/json
  • application/json
Request Example for post/deals/fields/
curl https://crm.dreamhub.ai/api/v1/settings/deals/fields/ \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "label": "",
  "fieldType": "system",
  "displayType": "text",
  "dataSource": "system",
  "filledByDreamer": true,
  "dreamerFlow": {
    "additionalProperty": "anything"
  },
  "showInCreation": true,
  "showInDetailedView": true,
  "required": false,
  "config": {
    "additionalProperty": "anything"
  },
  "linkedDataInfo": {
    "targetTable": "",
    "sourceKey": "",
    "targetKey": "",
    "targetField": "",
    "targetType": "",
    "targetFieldId": ""
  },
  "helpText": "",
  "additionalProperty": "anything"
}'
{
  "id": "string",
  "field": {
    "label": "string",
    "fieldType": "string",
    "displayType": "string",
    "dataSource": "system",
    "filledByDreamer": true,
    "dreamerFlow": {
      "additionalProperty": "anything"
    },
    "showInCreation": true,
    "showInDetailedView": true,
    "required": false,
    "config": {
      "additionalProperty": "anything"
    },
    "linkedDataInfo": {
      "targetTable": "string",
      "sourceKey": "string",
      "targetKey": "string",
      "targetField": "string",
      "targetType": "string"
    },
    "helpText": "string",
    "id": "string",
    "fieldKey": "string",
    "order": 1,
    "createdAt": "2026-09-29T00:02:05.372Z",
    "isDeleted": false,
    "readOnly": false,
    "fieldManagement": {
      "canEditDefinition": false,
      "canHide": false,
      "canDelete": false,
      "canReorder": true,
      "canEditOptions": false
    },
    "section": 1,
    "additionalProperty": "anything"
  }
}